repos:
  - repo: https://github.com/alessandrojcm/commitlint-pre-commit-hook
    rev: v9.13.0
    hooks:
      - id: commitlint
        stages: [commit-msg]
        additional_dependencies: ['@commitlint/config-conventional']

  - repo: https://github.com/pre-commit/mirrors-eslint
    rev: v8.40.0
    hooks:
      - id: eslint
        files: '\.[jt]sx?$'
        types: [file]
        args: ['--fix']
        additional_dependencies:
          - 'eslint@^8.40.0'
          - '@typescript-eslint/parser@^7.10.0'
          - '@typescript-eslint/eslint-plugin@^7.10.0'
          - 'eslint-config-prettier@^8.8.0'
          - 'eslint-plugin-prettier@^4.2.1'
          - 'prettier@^2.8.8'
